%{?nodejs_find_provides_and_requires}
%global enable_tests 0
Name:                nodejs-getobject
Version:             0.1.0
Release:             2
Summary:             Get and set deep objects easily
License:             MIT
URL:                 https://github.com/cowboy/node-getobject
Source0:             http://registry.npmjs.org/getobject/-/getobject-%{version}.tgz
Patch0:              CVE-2020-28282.patch
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch
ExclusiveArch:       %{ix86} x86_64 %{arm} noarch
BuildRequires:       nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:       npm(grunt-cli) npm(grunt-contrib-nodeunit) npm(grunt-contrib-watch)
%endif
%description
%{summary}.

%prep
%setup -q -n package
%patch0 -p1

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/getobject
cp -pr package.json lib/ \
    %{buildroot}%{nodejs_sitelib}/getobject
%nodejs_symlink_deps
%if 0%{?enable_tests}

%check
%nodejs_symlink_deps --check
/usr/bin/grunt nodeunit -v
%endif

%files
%doc LICENSE-MIT README.md
%{nodejs_sitelib}/getobject

%changelog
* Tue Feb 22 2022 yaoxin <yaoxin30@huawei.com> - 0.1.0-2
- Fix CVE-2020-28282

* Thu Aug 20 2020 Anan Fu <fuanan3@huawei.com> - 0.1.0-1
- package init
